<!doctype html>
<?php
	

	// parse the locale.yaml file and get the variables
	
	include "Spyc.php";
	$localeYaml = Spyc::YAMLLoad('locale.yaml');

	$lang=$_GET['lang'];

	// optional code for reading the accept language header
	
	/*
	$acceptlang='de-DE';
	// get the accept-language header 
	foreach (getallheaders() as $name => $value) {
  		if ($name == 'Accept-Language'){
			// echo "$name $value";
			$acceptlang = $value;
		}
	}
	echo "$acceptlang";
	
	print "oi $lang oi";	
	*/

	if ( in_array ($lang, array('en-US'))){

		$loc1 = "$lang".".utf8";
		$loc = $lang;
	}
	else
		$loc = "de-DE";

	//$loc = "en-US";
	print "$loc $loc1";
	$domain = "messages";

	setlocale(LC_MESSAGES, $loc); 
	setlocale(LC_ALL, $loc); 

	$results = putenv("LC_ALL=$loc");
	$results = putenv("LC_MESSAGES=$loc");
	$results = bindtextdomain($domain,"./locale");
?>
<html >
<head>
	<title>$localeYaml['title'][$loc]</title>
	<meta charset="utf-8">
	
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- Kube CSS -->
	<link rel="stylesheet" href="css/kube.min.css">
	<link rel="stylesheet" href="addons/kube-addons.min.css" />

	<link rel="stylesheet" href="master.css" />

</head>
<body>

	<div class="page is-container">
		<div class="main-sidebar text-centered">
			<img  class="wmdelogo" alt="wikimedia logo" src="Wikimedia_Deutschland-Logo.svg"/>
		</div>      
		<div class="main-content">
			<div class="is-row" style="border:0px solid blue">
				<div class="is-col is-70">
					<?php include "form.php" ?>
				</div>
				<div class="is-col is-30">
					<?php 
#						$ct = @file_get_contents( "./locale/$loc/h1.php"); 
#						if ($ct==false)
#							$ct = file_get_contents( "h1.php"); 
#						echo $ct;

					?>

					<?php 
						$ct = @file_get_contents( "./locale/$loc/h2.php"); 
						if ($ct==false)
							$ct = file_get_contents( "h2.php"); 
						echo $ct;

					?>

				</div>
			</div>
        <?php echo _($localeYaml['impressum'][$loc])?>: <a href="https://www.wikimedia.de/impressum/">https://www.wikimedia.de/impressum</a><br>
        <?php echo _($localeYaml['privacy'][$loc])?>: <a href="https://www.wikimedia.de/datenschutz/">https://www.wikimedia.de/datenschutz</a>
		</div>
	</div>    


	<script src="js/kube.min.js"></script>
	<script src="addons/upload/kube.upload.min.js"></script>
	<script src="addons/kube-addons.min.js"></script>
	<script src="kaform.js"></script>
	<script src="iban.js/iban.js"></script>


 </body>
</html>
